package com.fdkankan.common.constant;

public enum BuildStatus {

    nobuild(0, "未建模"),
    request(1, "请求建模"),
    waiting(2, "打包失败"),
    success(3, "建模成功"),
    fail(-1, "建模失败");

    private Integer code;
    private String message;

    private BuildStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer code() {
        return code;
    }

    public String message() {
        return message;
    }

}
